Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1373209 - Please keep mozjs updated to the latest released version
Summary: Please keep mozjs updated to the latest released version
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mozjs45
Version: 24
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Marek Skalický
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-09-05 13:39 UTC by Christian Stadelmann
Modified: 2016-10-03 17:22 UTC (History)
2 users (show)

Fixed In Version: mozjs45-45.3.0-1.fc25 mozjs45-45.3.0-1.fc24
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-09-27 00:38:19 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Christian Stadelmann 2016-09-05 13:39:54 UTC
Description of problem:
The purpose of having mozjs releases for Firefox ESR releases is getting security updates for it. So why not keep mozjs45 up-to-date with upstream firefox 45 ESR releases?

Version-Release number of selected component (if applicable):
Is: mozjs45-45.1.1
should be: mozjs45-45.3.0 as of today, 2016-09-05

How reproducible:
on all currently supported versions of Fedora

Additional info:
This is a more general issue for all mozjs packages. You probably should put a regex on https://release-monitoring.org/ to make sure you'll get notified of package updates.

Comment 1 Fedora Update System 2016-09-19 07:54:54 UTC
mozjs45-45.3.0-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-574cb3f8a4

Comment 2 Fedora Update System 2016-09-19 07:55:03 UTC
mozjs45-45.3.0-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-9e61489175

Comment 3 Fedora Update System 2016-09-20 19:59:31 UTC
mozjs45-45.3.0-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-574cb3f8a4

Comment 4 Fedora Update System 2016-09-22 01:27:00 UTC
mozjs45-45.3.0-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-9e61489175

Comment 5 Fedora Update System 2016-09-27 00:38:19 UTC
mozjs45-45.3.0-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2016-10-03 17:22:38 UTC
mozjs45-45.3.0-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.